# Module log

- Description
- Data Types
- Function Index
- Function Details

log service.

Copyright © 2007-2012 Zuse Institute Berlin

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

log service

## Data Types

### log_level()

    log_level() = debug | info | warn | error | fatal

## Function Index

check_config/0 | Checks whether config parameters of the log4erl process exist and are valid.
log/1 |
log/2 |
log/3 |
log/4 |
pal/1 |
pal/2 |
set_log_level/1 |
start_link/0 | Starts the log4erl process, removes the error_logger and error_logger_file_h report handlers and registers itself as the (only) report handler.

## Function Details

### start_link/0

    start_link() -> {ok, Pid :: pid()}

Starts the log4erl process, removes the error_logger and error_logger_file_h report handlers and registers itself as the (only) report handler. Note: requires a running config process and can only be run once!

### log/1

    log(LogMsg :: string()) -> any()

### log/2

    log(Level :: log_level(), LogMsg :: string()) -> any()

### log/3

    log(Level :: log_level(), LogMsg :: string(), Data :: list()) ->
           any()

### log/4

    log(Logger :: atom(),
        Level :: log_level(),
        LogMsg :: string(),
        Data :: list()) ->
           any()

### set_log_level/1

    set_log_level(Level :: log_level() | none) -> any()

### pal/1

    pal(LogMsg :: string()) -> any()

### pal/2

    pal(LogMsg :: string(), Data :: list()) -> any()

### check_config/0

    check_config() -> boolean()

Checks whether config parameters of the log4erl process exist and are valid.

Generated by EDoc, Feb 29 2016, 16:12:17.